#
# spec file for package jfsprogs (Version 1.0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         jfsprogs
Summary:      IBM JFS utility programs
Version:      1.0.5
Release:      4
Copyright: GPL
Buildroot: %{_tmppath}/%{name}-root
Group: System Environment/Base
URL: http://oss.software.ibm.com/developerworks/opensource/jfs/
Source: http://oss.software.ibm.com/developer/opensource/jfs/project/pub/jfsutils-%{version}.tar.gz
Source1: ftp://www6.software.ibm.com/software/developer/library/jfs.pdf
Source2: ftp://www6.software.ibm.com/software/developer/library/jfslayout.pdf
Source3: http://oss.software.ibm.com/developer/opensource/jfs/project/pub/jfslog/jfslog.pdf
Source4: http://oss.software.ibm.com/developer/opensource/jfs/project/pub/jfsroot.html
Patch: uintX_t_for__uX.patch

%description
Utilities for managing IBM's Journaled File System (JFS) under Linux.  The
following utilities are available:
o fsck.jfs - initiate replay of the JFS transaction log, and check and repair    a JFS formatted device. 
o logdump - dump a JFS formatted device's journal log.
o logredo - "replay" a JFS formatted device's journal log.
o mkfs.jfs - create a JFS formatted partition.
o xchkdmp - dump the contents of a JFS fsck log file created with xchklog.
o xchklog - extract a log from the JFS fsck workspace into a file.
o xpeek - shell-type JFS file system editor.

Authors:
--------
    Steve Best <sbest@us.ibm.com> 
    Dave Kleikamp <shaggy@us.ibm.com> 
    Barry Arndt <barndt@us.ibm.com>

SuSE series: a

%prep
%setup -n jfsutils
%patch -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir ./jfsdocs
install -m 644 %{SOURCE1} ./jfsdocs
install -m 644 %{SOURCE2} ./jfsdocs
install -m 644 %{SOURCE3} ./jfsdocs
install -m 644 %{SOURCE4} ./jfsdocs
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -s ./output/* $RPM_BUILD_ROOT/sbin
cp ./*/*.8 $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc jfsdocs/*
%doc man_html/*
/sbin/*
%{_mandir}/man8/*

%changelog -n jfsprogs
* Tue Sep 18 2001 - froh@suse.de
- uintX_t_for__uX.patch: jfsutils/libfs/unicode_to_utf8.{c,h} is
  borrowed from the kernel source tree and uses __uX datatypes from
  <linux/types.h>.  this patch replaces these uses by uintX_t from
  <stdint.h>
* Sun Sep 16 2001 - grimmer@suse.de
- Update to 1.0.5 - bugfixes:
  * Fixed jfsprogs.spec to handle utilities not being in file
  system source tree
  * Cleaned up include files
  * Fixed inconsistencies in mkfs man, html pages
* Wed Sep 05 2001 - grimmer@suse.de
- Update to 1.0.4
* Thu Aug 23 2001 - grimmer@suse.de
- Update to 1.0.3
- now uses the separated jfsutils tarball (utils have been split
  from the kernel sources)
- reworked spec file to fit the new tarball file locations
* Tue Aug 07 2001 - grimmer@suse.de
- Update to 1.0.2 (bugfix release, see the changelog for details)
- removed bus_error.patch (now included in upstream sources)
* Thu Aug 02 2001 - grimmer@suse.de
- added bus_error.patch (posted by Barry Arndt <barndt@us.ibm.com> on
  jfs-discussion@dwoss.lotus.com) to fix a bus error on SPARC
  when runnning mkfs.jfs (wrong typecast in indodes.c causes a
  value of 1 being added to the address of buffer, resulting in
  an odd numbered address in buf_ai)
* Wed Jul 11 2001 - grimmer@suse.de
- update to 1.0.1
- removed now obsolete patch for mkfs.jfs
* Thu Jul 05 2001 - grimmer@suse.de
- added patch from <kkaempf@suse.de> to add a "-f" option
  to mkfs.jfs (this disables the "Are you sure?" confirmation)
- updated mkfs.jfs manual page to reflect the change
* Fri Jun 29 2001 - grimmer@suse.de
- initial package (version 1.0.0)
- added various documentation from the web site
  (JFS Overview Paper, JFS Layout Paper, JFS Log
  Paper, JFS Root Boot HOWTO)
